<?php

namespace src\dto;

/**
 * @property int $id
 * @property string $surname
 * @property string $name
 * @property string $patronymic
 * @property string $dateOfBirth
 * @property string $gender
 * @property string $countryCode
 * @property string $phoneNumber
 * @property string $email
 */
class InformationDTO extends BaseDTO
{
    public int $id;
    public string $surname;
    public string $name;
    public string $patronymic;
    public string $dateOfBirth;
    public string $gender;
    public string $countryCode;
    public string $phoneNumber;
    public string $email;
    public int $status = 0;

    public function __construct()
    {

    }

    /**
     * @return array
     */
    public function fillable(): array
    {
//        return [
//            'surname', 'name', 'patronymic', 'dateOfBirth', 'gender', 'countryCode', 'phoneNumber', 'email', 'status'
//        ];
        return [
            $this->surname, $this->name, $this->patronymic, $this->dateOfBirth, $this->gender, $this->countryCode, $this->phoneNumber, $this->email, "\n"
        ];
    }

}
