<?php

namespace src\models;

use src\models\BaseModel;

class PostModel extends BaseModel
{

    public int $status = 1;

    public function file(): string
    {
        return "post.txt";
    }

    public function fillable(): array
    {
        return [
            'author', 'post'
        ];
    }

    public function labels(): array
    {
        return [
            'author' => 'Автор',
            'post' => 'Пост'
        ];
    }
}