<?php

namespace src\models;

class UserModel extends BaseModel
{

    public int $status = 1;

    public function file(): string
    {
        return "user.txt";
    }

    public function fillable(): array
    {
        return [
            'surname', 'name', 'patronymic', 'dateOfBirth', 'gender', 'countryCode', 'phoneNumber', 'email', 'status'
        ];
    }

    public function labels(): array
    {
        return [
            'surname' => 'Фамилия',
            'name' => 'Имя',
            'patronymic' => 'Отчество',
            'dateOfBirth' => 'Дата рождения',
            'gender' => 'Пол',
            'countryCode' => 'Код страны',
            'phoneNumber' => 'Номер телефона',
            'email' => 'Email',
            'status'=> 'Статус'
        ];
    }

}